%define oname   rmagick

Name:       ruby-%{oname}
Version:    2.13.1
Release:    %mkrel 13
Summary:    Ruby binding to ImageMagick
Group:      Development/Ruby
License:    BSD
URL:        http://rubyforge.org/projects/rmagick
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: imagemagick
BuildRequires: imagemagick-devel
# ease upgrade from mdv
Provides:   ruby-RMagick = %{version}-%{release}
Requires: %{_lib}magick = %(rpm -q --queryformat=%{VERSION} imagemagick)

%description
RMagick is an interface between Ruby and ImageMagick.

%files
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_sitearchdir}/*.so

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc examples doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 2.13.1-13.mga3
+ Revision: 396390
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 2.13.1-12.mga3
+ Revision: 381354
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 22 2012 fwang <fwang> 2.13.1-11.mga3
+ Revision: 333803
- rebuild for new imagemagick

* Sat Dec 15 2012 fwang <fwang> 2.13.1-10.mga3
+ Revision: 331247
- rebuild for new imagemagick

* Fri Dec 14 2012 fwang <fwang> 2.13.1-9.mga3
+ Revision: 330829
- doc is noarch

* Fri Dec 14 2012 fwang <fwang> 2.13.1-8.mga3
+ Revision: 330721
- correct lib req

* Fri Dec 14 2012 fwang <fwang> 2.13.1-7.mga3
+ Revision: 330709
- imagemagick version is hardcoded in source

  + shikamaru <shikamaru>
    - revert mistake, I wanted to do that in 2/ not cauldron?\226?\128?\166
    - Fix: #7779

* Sun Nov 04 2012 fwang <fwang> 2.13.1-6.mga3
+ Revision: 313857
- rebuild for new ruby

* Sun Oct 30 2011 shikamaru <shikamaru> 2.13.1-5.mga3
+ Revision: 159932
- add provides to ease upgrade from mdv

* Sun Feb 13 2011 shikamaru <shikamaru> 2.13.1-4.mga2
+ Revision: 51282
- imported package ruby-rmagick

